#include "Chunk.h"
#include "planet/PlanetFace.h"

Chunk::Chunk(Planet* planet, class PlanetFace* face, int x, int y, int z) :
	m_planet(planet),
	m_planetFace(face), 
	m_cx(x),
	m_cy(y),
	m_cz(z),
	m_dirty(false),
	m_active(true)
{

}

Chunk::~Chunk()
{

}

void Chunk::destroyChunk()
{
	m_active = false;
	delete this;
}
