#ifndef __CHUNK_H__
#define __CHUNK_H__

#include "util/Common.h"
#include "planet/Planet.h"

#define CHUNK_N 32

class Chunk
{
	public:
		Chunk(Planet* planet, class PlanetFace* face, int x, int y, int z);
		~Chunk();

		void destroyChunk();
	private:
		Planet* m_planet;
		class PlanetFace* m_planetFace;

		bool m_dirty;
		bool m_active;

		int m_cx, m_cy, m_cz;

		GLuint m_vao, m_vbo;
};
#endif // __CHUNK_H__
